<?php

class LP_Certificates_Settings extends LP_Abstract_Settings_Page {
	/**
	 * Constructor
	 */
	public function __construct() {
		$this->id   = 'certificates';
		$this->text = __( 'Certificates', 'ecademy-toolkit' );

		parent::__construct();
	}

	public function get_settings( $section = '', $tab = '' ) {
		$desc_google_font = '';

		return array(
			array(
				'title'   => __( 'Google Fonts', 'ecademy-toolkit' ),
				'id'      => 'certificates[google_fonts]',
				'default' => 'no',
				'type'    => 'google-fonts',
				'desc'    => $desc_google_font
			),
			array(
				'name'    => __( 'Download certificate types', 'ecademy-toolkit' ),
				'id'      => 'lp_cer_down_type',
				'type'    => 'radio',
				'options' => array(
					'image' => __( 'Image', 'ecademy-toolkit' ),
					'pdf'   => __( 'PDF', 'ecademy-toolkit' ),
				),
				'default' => 'image'
			),
			array(
				'name'    => __( 'Show certificate popup', 'ecademy-toolkit' ),
				'id'      => 'lp_cer_show_popup',
				'type'    => 'yes-no',
				'default' => 'yes'
			),
			array(
				'name'    => __( 'Slug show link certificate of user', 'ecademy-toolkit' ),
				'id'      => 'lp_cert_slug',
				'type'    => 'text',
				'default' => 'certificates'
			),
			array(
				'name'            => __( 'Social Sharing', 'ecademy-toolkit' ),
				'id'              => 'certificates[socials]',
				'default'         => '',
				'type'            => 'checkbox_list',
				'options'         => array(
					'twitter'  => __( 'Twitter', 'ecademy-toolkit' ),
					'facebook' => __( 'Facebook', 'ecademy-toolkit' ),
				),
				'select_all_none' => false
			)
		);
	}
}

return new LP_Certificates_Settings();